﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WaveJet 354: (1 yr) VER IEEE /9500/600+1Hd
DATE:                  2010-07-30 13:04:52
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       337
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        VY, DFM
# 
#  Models covered:
#        WJ354
# 
#  Source(s):
#        Chapter 5 - WJ Performance Verification Rev B2.pdf
# 
#        LeCroy WaveJet SERIES Oscilloscope GETTING STARTED MANUAL
#        FEBRUARY 2007, WJ-GS-E Rev B, 914863-00 Rev A
# 
#  Compatibility:
#        MET/CAL 7.20v or later
#
#  Subprocedures:
#        Sub MET/VERsion Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub LeCroy WJ300 Self-Test IEEE
#        Sub LeCroy WJ300 Cal Initialize IEEE
#        Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
#        Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /9500
#        Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
# 
# The procedure was tested using:
#
#        Model No  : LeCroy WJ354
#        Serial No : LCRY0101J23242
#        Options   : WJ-GPIB
#        Firmware  : 4.05
#
# Average run time during testing :  18 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  9500         500MH                        1Vpp           LS    S
  1.004  ENDIF

  1.005  MATH         @ReqMetCalVersion = "7.20v"
  1.006  CALL         Sub MET/VERsion Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20v or later.
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         20 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.015  DISP         operation as follows:
  1.015  DISP
  1.015  DISP         Push UUT front panel UTILITES button, followed by the
  1.015  DISP         "Remote" softkey. Press the "Interface" softkey, then
  1.015  DISP         "GPIB" softkey.
  1.015  DISP
  1.015  DISP         If this workstation is equipped with two GPIB cards,
  1.015  DISP         the address is unimportant, as long as it is not (0)
  1.015  DISP         zero. If only 1 GPIB card is installed, however, the
  1.015  DISP         UUT address must not conflict with those of configured
  1.015  DISP         references.
  1.015  DISP
  1.015  DISP         If necessary, depress the "Address" softkey and set
  1.015  DISP         the UUT address using the ADJUST knob.
  1.015  DISP
  1.015  DISP         Connect a GPIB cable from the appropriate PC IEEE-488
  1.015  DISP         port to the UUT GPIB port.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.016  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.017  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.018  DISP         The file parameter setting is: "acc_check=no"
  1.018  DISP
  1.018  DISP         For correct procedure execution, this parameter
  1.018  DISP         MUST be set to: "acc_check=yes"
  1.018  DISP
  1.018  DISP         Select "Advance" to terminate the procedure, exit
  1.018  DISP         MET/CAL®, change the initialization file parameter,
  1.018  DISP         restart MET/CAL, then restart the procedure.
  1.019  END
  1.020  ENDIF

  1.021  IEEE         *CLS;*RST

  1.022  HEAD         UUT IDENTIFICATION
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.024  MATH         @UUT_Manufacturer = "LECROY"
  1.025  MATH         @UUT_Model        = "WJ354"
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.027  IF           @Abort
  1.028  END
  1.029  ENDIF

  1.030  IF           @FirmwareRev < 3.06
  1.031  DISP         This procedure requires firmware version 3.06 or later.
  1.031  DISP
  1.031  DISP         For firmware upgrades, please visit www.lecroy.com. The
  1.031  DISP         firmware and installation instructions are available
  1.031  DISP         for download.
  1.032  ENDIF

  1.033  CALL         Sub Select Failed Test Mode
  1.034  CALL         Sub Select Verification Method (No NTHROW)

# Set the system confidence level to 95%.
  1.035  MATH         @SysConf   = 2
  1.036  MATH         @DevName   = "Datron 9500"
  1.037  MATH         @Bandwidth = 500E+6
  1.038  MATH         @NumChan   = 4

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.039  MATH         @SourceMultiCh = 0

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   PEAK-PEAK NOISE LEVEL              PEAK-PEAK NOISE LEVEL
#    3.   CHANNEL INPUT IMPEDANCE(CH1)       EXTERNAL INPUT IMPEDANCE
#    4.   CHANNEL INPUT IMPEDANCE(CH2)       CHANNEL INPUT IMPEDANCE(CH1)
#    5.   CHANNEL INPUT IMPEDANCE(CH3)       DC GAIN ACC(CH1)
#    6.   CHANNEL INPUT IMPEDANCE(CH4)       OFFSET ACC(CH1)
#    7.   EXTERNAL INPUT IMPEDANCE           Bandwidth(CH1)
#    8.   DC GAIN ACC(CH1)                   TRIGGER LEVEL(CH1)
#    9.   DC GAIN ACC(CH2)                   TIME BASE
#   10.   DC GAIN ACC(CH3)                   CHANNEL INPUT IMPEDANCE(CH2)
#   11.   DC GAIN ACC(CH4)                   DC GAIN ACC(CH2)
#   12.   OFFSET ACC(CH1)                    OFFSET ACC(CH2)
#   13.   OFFSET ACC(CH2)                    Bandwidth(CH2)
#   14.   OFFSET ACC(CH3)                    TRIGGER LEVEL(CH2)
#   15.   OFFSET ACC(CH4)                    CHANNEL INPUT IMPEDANCE(CH3)
#   16.   Bandwidth(CH1)                     DC GAIN ACC(CH3)
#   17.   Bandwidth(CH2)                     OFFSET ACC(CH3)
#   18.   Bandwidth(CH3)                     Bandwidth(CH3)
#   19.   Bandwidth(CH4)                     TRIGGER LEVEL(CH3)
#   20.   TRIGGER LEVEL(CH1)                 CHANNEL INPUT IMPEDANCE(CH4)
#   21.   TRIGGER LEVEL(CH2)                 DC GAIN ACC(CH4)
#   22.   TRIGGER LEVEL(CH3)                 OFFSET ACC(CH4)
#   23.   TRIGGER LEVEL(CH4)                 Bandwidth(CH4)
#   24.   TIME BASE                          TRIGGER LEVEL(CH4)

  1.040  RSLT         =
  1.041  HEAD         SELF TEST
  1.042  TARGET
  1.043  DISP         Remove all input connections.
  1.044  IEEE         *TST?[I$]
  1.045  EVAL   -e FINDI(MEM2, "+000000", 1) : SELF TEST

  2.001  IF           NOT(FINDI(MEM2, "+000000", 1))
  2.002  DISP         The UUT SELF TEST failed!
  2.002  DISP
  2.002  DISP         The UUT may need to be serviced.
  2.002  DISP
  2.002  DISP         The procedure will be aborted.
  2.003  END
  2.004  ENDIF

  2.005  JMPL         PEAK_PEAK_NOISE_LEVEL

  2.006  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  2.007  MATH         @Chan = 1
  2.008  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  2.009  JMPL         DC_GAIN_ACC_CH1

  2.010  LABEL        CHANNEL_INPUT_IMPEDANCE_CH2
  2.011  MATH         @Chan = 2
  2.012  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  2.013  JMPL         DC_GAIN_ACC_CH2

  2.014  LABEL        CHANNEL_INPUT_IMPEDANCE_CH3
  2.015  MATH         @Chan = 3
  2.016  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  2.017  JMPL         DC_GAIN_ACC_CH3

  2.018  LABEL        CHANNEL_INPUT_IMPEDANCE_CH4
  2.019  MATH         @Chan = 4
  2.020  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  2.021  JMPL         DC_GAIN_ACC_CH4

  2.022  LABEL        EXT_EXT_INPUT_IMPEDANCE
  2.023  MATH         @Chan = 5
  2.024  CALL         Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /9500
  2.025  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  2.026  LABEL        PEAK_PEAK_NOISE_LEVEL
  2.027  CALL         Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
  2.028  JMPL         EXT_EXT_INPUT_IMPEDANCE

  2.029  LABEL        DC_GAIN_ACC_CH1
  2.030  MATH         @Chan = 1
  2.031  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
  2.032  JMPL         OFFSET_ACC_CH1

  2.033  LABEL        DC_GAIN_ACC_CH2
  2.034  MATH         @Chan = 2
  2.035  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
  2.036  JMPL         OFFSET_ACC_CH2

  2.037  LABEL        DC_GAIN_ACC_CH3
  2.038  MATH         @Chan = 3
  2.039  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
  2.040  JMPL         OFFSET_ACC_CH3

  2.041  LABEL        DC_GAIN_ACC_CH4
  2.042  MATH         @Chan = 4
  2.043  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
  2.044  JMPL         OFFSET_ACC_CH4

  2.045  LABEL        OFFSET_ACC_CH1
  2.046  MATH         @Chan = 1
  2.047  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
  2.048  JMPL         Bandwidth_CH1

  2.049  LABEL        OFFSET_ACC_CH2
  2.050  MATH         @Chan = 2
  2.051  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
  2.052  JMPL         Bandwidth_CH2

  2.053  LABEL        OFFSET_ACC_CH3
  2.054  MATH         @Chan = 3
  2.055  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
  2.056  JMPL         Bandwidth_CH3

  2.057  LABEL        OFFSET_ACC_CH4
  2.058  MATH         @Chan = 4
  2.059  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
  2.060  JMPL         Bandwidth_CH4

  2.061  LABEL        Bandwidth_CH1
  2.062  MATH         @Chan = 1
  2.063  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
  2.064  JMPL         TRIGGER_LEVEL_CH1

  2.065  LABEL        Bandwidth_CH2
  2.066  MATH         @Chan = 2
  2.067  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
  2.068  JMPL         TRIGGER_LEVEL_CH2

  2.069  LABEL        Bandwidth_CH3
  2.070  MATH         @Chan = 3
  2.071  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
  2.072  JMPL         TRIGGER_LEVEL_CH3

  2.073  LABEL        Bandwidth_CH4
  2.074  MATH         @Chan = 4
  2.075  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
  2.076  JMPL         TRIGGER_LEVEL_CH4

  2.077  LABEL        TRIGGER_LEVEL_CH1
  2.078  MATH         @Chan = 1
  2.079  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
  2.080  JMPL         TIME_BASE

  2.081  LABEL        TRIGGER_LEVEL_CH2
  2.082  MATH         @Chan = 2
  2.083  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
  2.084  JMPL         CHANNEL_INPUT_IMPEDANCE_CH3

  2.085  LABEL        TRIGGER_LEVEL_CH3
  2.086  MATH         @Chan = 3
  2.087  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
  2.088  JMPL         CHANNEL_INPUT_IMPEDANCE_CH4

  2.089  LABEL        TRIGGER_LEVEL_CH4
  2.090  MATH         @Chan = 4
  2.091  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
  2.092  JMPL         END

  2.093  LABEL        TIME_BASE
  2.094  MATH         @Chan = 1
  2.095  CALL         Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /9500
  2.096  JMPL         CHANNEL_INPUT_IMPEDANCE_CH2

  2.097  LABEL        END
  2.098  DISP         V E R I F I C A T I O N   C O M P L E T E
  2.099  END
